<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_271) on Thu Apr 01 09:30:38 CEST 2021 -->
<title>WebConnector</title>
<meta name="date" content="2021-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WebConnector";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/web/WebConnector.html" target="_top">Frames</a></li>
<li><a href="WebConnector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.java_websocket.server.WebSocketServer">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.hevs.isi.web</div>
<h2 title="Class WebConnector" class="title">Class WebConnector</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.java_websocket.WebSocketAdapter</li>
<li>
<ul class="inheritance">
<li>org.java_websocket.AbstractWebSocket</li>
<li>
<ul class="inheritance">
<li>org.java_websocket.server.WebSocketServer</li>
<li>
<ul class="inheritance">
<li>ch.hevs.isi.web.WebConnector</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../ch/hevs/isi/core/DataPointListener.html" title="interface in ch.hevs.isi.core">DataPointListener</a>, java.lang.Runnable, org.java_websocket.WebSocketListener</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">WebConnector</span>
extends org.java_websocket.server.WebSocketServer
implements <a href="../../../../ch/hevs/isi/core/DataPointListener.html" title="interface in ch.hevs.isi.core">DataPointListener</a></pre>
<div class="block"><p>Class for pushing datapoint to the web page</p>
 <p>List of several constant for our class:
 <ul>
     <li>Vector Websocket : list sockets active in the tcp connection</li>
 </ul></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Maxime Rouiller</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.java_websocket.server.WebSocketServer">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.java_websocket.server.WebSocketServer</h3>
<code>org.java_websocket.server.WebSocketServer.WebSocketWorker</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) java.util.Vector&lt;org.java_websocket.WebSocket&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/web/WebConnector.html#v">v</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static <a href="../../../../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/web/WebConnector.html#wc">wc</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.java_websocket.server.WebSocketServer">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.java_websocket.server.WebSocketServer</h3>
<code>decoders, DECODERS</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/web/WebConnector.html#WebConnector--">WebConnector</a></span>()</code>
<div class="block">Constructor based on the singleton Model.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/web/WebConnector.html#getInstance--">getInstance</a></span>()</code>
<div class="block">The static method getInstance() returns a reference to the singleton.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/web/WebConnector.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>
<div class="block">A main method used to test this class</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/web/WebConnector.html#onClose-org.java_websocket.WebSocket-int-java.lang.String-boolean-">onClose</a></span>(org.java_websocket.WebSocket&nbsp;webSocket,
       int&nbsp;i,
       java.lang.String&nbsp;s,
       boolean&nbsp;b)</code>
<div class="block">Method inherited from WebSocketServer
 Used to close te connection</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/web/WebConnector.html#onError-org.java_websocket.WebSocket-java.lang.Exception-">onError</a></span>(org.java_websocket.WebSocket&nbsp;webSocket,
       java.lang.Exception&nbsp;e)</code>
<div class="block">Method inherited from WebSocketServer
 Print the result of the error</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/web/WebConnector.html#onMessage-org.java_websocket.WebSocket-java.lang.String-">onMessage</a></span>(org.java_websocket.WebSocket&nbsp;webSocket,
         java.lang.String&nbsp;s)</code>
<div class="block">Method inherited from WebSocketServer
 The method takes a raw String from the web page.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/web/WebConnector.html#onNewValue-ch.hevs.isi.core.BinaryDataPoint-">onNewValue</a></span>(<a href="../../../../ch/hevs/isi/core/BinaryDataPoint.html" title="class in ch.hevs.isi.core">BinaryDataPoint</a>&nbsp;bdp)</code>
<div class="block">the method is called when a <a href="../../../../ch/hevs/isi/core/BinaryDataPoint.html#setValue-boolean-"><code>BinaryDataPoint.setValue(boolean)</code></a> is done on a BinaryDataPoint
 Use the method Send() (from WebSocketServer) to sens a message to the web page with according protocol</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/web/WebConnector.html#onNewValue-ch.hevs.isi.core.FloatDataPoint-">onNewValue</a></span>(<a href="../../../../ch/hevs/isi/core/FloatDataPoint.html" title="class in ch.hevs.isi.core">FloatDataPoint</a>&nbsp;fdp)</code>
<div class="block">the method is called when a SetValue is done on a FloatDataPoint
 Use the method Send() (from WebSocketServer) to sens a message to the web page with according protocol</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/web/WebConnector.html#onOpen-org.java_websocket.WebSocket-org.java_websocket.handshake.ClientHandshake-">onOpen</a></span>(org.java_websocket.WebSocket&nbsp;webSocket,
      org.java_websocket.handshake.ClientHandshake&nbsp;clientHandshake)</code>
<div class="block">Method inherited from WebSocketServer
 Establish the connection between program and web page</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/web/WebConnector.html#onStart--">onStart</a></span>()</code>
<div class="block">Method inherited from WebSocketServer
 Print in the console to verify the TCP is well established</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.java_websocket.server.WebSocketServer">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.java_websocket.server.WebSocketServer</h3>
<code>addConnection, allocateBuffers, broadcast, broadcast, broadcast, broadcast, broadcast, broadcast, connections, createBuffer, getAddress, getConnections, getDraft, getLocalSocketAddress, getPort, getRemoteSocketAddress, getWebSocketFactory, onCloseInitiated, onClosing, onConnect, onFragment, onMessage, onWebsocketClose, onWebsocketCloseInitiated, onWebsocketClosing, onWebsocketError, onWebsocketHandshakeReceivedAsServer, onWebsocketMessage, onWebsocketMessage, onWebsocketMessageFragment, onWebsocketOpen, onWriteDemand, queue, releaseBuffers, removeConnection, run, setWebSocketFactory, start, stop, stop</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.java_websocket.AbstractWebSocket">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.java_websocket.AbstractWebSocket</h3>
<code>getConnectionLostTimeout, isReuseAddr, isTcpNoDelay, setConnectionLostTimeout, setReuseAddr, setTcpNoDelay, startConnectionLostTimer, stopConnectionLostTimer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.java_websocket.WebSocketAdapter">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.java_websocket.WebSocketAdapter</h3>
<code>onWebsocketHandshakeReceivedAsClient, onWebsocketHandshakeSentAsClient, onWebsocketPing, onWebsocketPong</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="wc">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>wc</h4>
<pre>private static&nbsp;<a href="../../../../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a> wc</pre>
</li>
</ul>
<a name="v">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>v</h4>
<pre>java.util.Vector&lt;org.java_websocket.WebSocket&gt; v</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="WebConnector--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WebConnector</h4>
<pre>private&nbsp;WebConnector()</pre>
<div class="block"><p>Constructor based on the singleton Model.</p>
 <p>Inherits method from WebSocketServer, such as InetSocketAdress() or start()</p>
 <ul>
      <li>InetSocketAdress() is used to define the port of connection</li>
      <li>Start initialise the TCP connection between program and web page</li>
 </ul></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a>&nbsp;getInstance()</pre>
<div class="block"><p>The static method getInstance() returns a reference to the singleton.</p>
 <p>It creates the single Web_Connector object if it does not exist.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>return the instance of Web Connector</dd>
</dl>
</li>
</ul>
<a name="onNewValue-ch.hevs.isi.core.FloatDataPoint-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onNewValue</h4>
<pre>public&nbsp;void&nbsp;onNewValue(<a href="../../../../ch/hevs/isi/core/FloatDataPoint.html" title="class in ch.hevs.isi.core">FloatDataPoint</a>&nbsp;fdp)</pre>
<div class="block"><p>the method is called when a SetValue is done on a FloatDataPoint</p>
 <p>Use the method Send() (from WebSocketServer) to sens a message to the web page with according protocol</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../ch/hevs/isi/core/DataPointListener.html#onNewValue-ch.hevs.isi.core.FloatDataPoint-">onNewValue</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../ch/hevs/isi/core/DataPointListener.html" title="interface in ch.hevs.isi.core">DataPointListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fdp</code> - : A new updated float datapoint</dd>
</dl>
</li>
</ul>
<a name="onNewValue-ch.hevs.isi.core.BinaryDataPoint-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onNewValue</h4>
<pre>public&nbsp;void&nbsp;onNewValue(<a href="../../../../ch/hevs/isi/core/BinaryDataPoint.html" title="class in ch.hevs.isi.core">BinaryDataPoint</a>&nbsp;bdp)</pre>
<div class="block"><p>the method is called when a <a href="../../../../ch/hevs/isi/core/BinaryDataPoint.html#setValue-boolean-"><code>BinaryDataPoint.setValue(boolean)</code></a> is done on a BinaryDataPoint</p>
 <p>Use the method Send() (from WebSocketServer) to sens a message to the web page with according protocol</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../ch/hevs/isi/core/DataPointListener.html#onNewValue-ch.hevs.isi.core.BinaryDataPoint-">onNewValue</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../ch/hevs/isi/core/DataPointListener.html" title="interface in ch.hevs.isi.core">DataPointListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bdp</code> - : A new updated boolean datapoint</dd>
</dl>
</li>
</ul>
<a name="onOpen-org.java_websocket.WebSocket-org.java_websocket.handshake.ClientHandshake-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onOpen</h4>
<pre>public&nbsp;void&nbsp;onOpen(org.java_websocket.WebSocket&nbsp;webSocket,
                   org.java_websocket.handshake.ClientHandshake&nbsp;clientHandshake)</pre>
<div class="block"><p>Method inherited from WebSocketServer</p>
 <p>Establish the connection between program and web page</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onOpen</code>&nbsp;in class&nbsp;<code>org.java_websocket.server.WebSocketServer</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>webSocket</code> - : The socket we are working on</dd>
<dd><code>clientHandshake</code> - </dd>
</dl>
</li>
</ul>
<a name="onClose-org.java_websocket.WebSocket-int-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onClose</h4>
<pre>public&nbsp;void&nbsp;onClose(org.java_websocket.WebSocket&nbsp;webSocket,
                    int&nbsp;i,
                    java.lang.String&nbsp;s,
                    boolean&nbsp;b)</pre>
<div class="block"><p>Method inherited from WebSocketServer</p>
 <p>Used to close te connection</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onClose</code>&nbsp;in class&nbsp;<code>org.java_websocket.server.WebSocketServer</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>webSocket</code> - : the socket we are working on</dd>
<dd><code>i</code> - </dd>
<dd><code>s</code> - </dd>
<dd><code>b</code> - </dd>
</dl>
</li>
</ul>
<a name="onMessage-org.java_websocket.WebSocket-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onMessage</h4>
<pre>public&nbsp;void&nbsp;onMessage(org.java_websocket.WebSocket&nbsp;webSocket,
                      java.lang.String&nbsp;s)</pre>
<div class="block"><p>Method inherited from WebSocketServer</p>
 <p>The method takes a raw String from the web page.</p>
 <p>It splits the message in half around the "=" sign.</p>
 <p>It determines if the message is a Boolean or a Float Datapoint</p>
 <p>It sets the value of the Datapoint accordingly of the Label and Value received.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onMessage</code>&nbsp;in class&nbsp;<code>org.java_websocket.server.WebSocketServer</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>webSocket</code> - : the socket we are working on</dd>
<dd><code>s</code> - : The message we want to read</dd>
</dl>
</li>
</ul>
<a name="onError-org.java_websocket.WebSocket-java.lang.Exception-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onError</h4>
<pre>public&nbsp;void&nbsp;onError(org.java_websocket.WebSocket&nbsp;webSocket,
                    java.lang.Exception&nbsp;e)</pre>
<div class="block"><p>Method inherited from WebSocketServer</p>
 <p>Print the result of the error</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onError</code>&nbsp;in class&nbsp;<code>org.java_websocket.server.WebSocketServer</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>webSocket</code> - : the socket we are working on</dd>
<dd><code>e</code> - : the error to catch</dd>
</dl>
</li>
</ul>
<a name="onStart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onStart</h4>
<pre>public&nbsp;void&nbsp;onStart()</pre>
<div class="block"><p>Method inherited from WebSocketServer</p>
 <p>Print in the console to verify the TCP is well established</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onStart</code>&nbsp;in class&nbsp;<code>org.java_websocket.server.WebSocketServer</code></dd>
</dl>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
<div class="block"><p>A main method used to test this class</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/web/WebConnector.html" target="_top">Frames</a></li>
<li><a href="WebConnector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.java_websocket.server.WebSocketServer">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
